Subject: Re: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Nov 2015 10:30:41 +0100

On Fri, Nov 13, 2015 at 8:56 AM, Eli Zaretskii <[email-masked]> wrote:

> Why not decide that the sensible non-interactive behavior is to behave
> as if the answer is NO?  Can you think up a use cases where this would
> be terribly wrong?

If you have a complex setup, particularly involving frames (which are also
saved).

> FWIW, IME, whenever I see this question (interactively, of course),
> the correct answer is always NO.

In my case, the right answer is almost always YES (i.e,, I almost always
want to save the desktop).